# Interface DistanceMatrix

All Known Implementing Classes:
  `BasicDistanceMatrix, F84DistanceMatrix, HKYDistanceMatrix, JukesCantorDistanceMatrix, SequenceAlignmentsDistanceMatrix, TamuraNeiDistanceMatrix`

public interface DistanceMatrix

Version:
  $Id: DistanceMatrix.java 186 2006-01-24 00:41:22Z pepster $
Author:
  Andrew Rambaut, Alexei Drummond

## Method Summary

Modifier and Type
Method
Description
`double`
`getDistance(int row, int column)`
Gets the distance at a particular row and column
`double`
`getDistance(Taxon taxonRow, Taxon taxonColumn)`
Gets the distance between 2 taxa
`double[][]`
`getDistances()`
Gets a 2-dimensional array containing the distances
`int`
`getSize()`
Gets the size of the matrix (which is square), i.e., number of rows or columns.
`DistanceMatrix`
`getSubmatrix(Collection<Taxon> taxa)`
Gets a sub-matrix for only those taxa in the collection (all of which should be present in this matrix).
`List<Taxon>`
`getTaxa()`

## Method Details

### getSize

int getSize()
Gets the size of the matrix (which is square), i.e., number of rows or columns.

Returns:
  the size

### getTaxa

List<Taxon> getTaxa()

Returns:
  the list of taxa that the state values correspond to.

### getDistance

double getDistance(int row, int column)
Gets the distance at a particular row and column

Parameters:
  `row` - the row index
  `column` - the column index
Returns:
  the distance

### getDistance

double getDistance(Taxon taxonRow, Taxon taxonColumn)
Gets the distance between 2 taxa

Parameters:
  `taxonRow` -
  `taxonColumn` -
Returns:
  the distance

### getSubmatrix

DistanceMatrix getSubmatrix(Collection<Taxon> taxa)
Gets a sub-matrix for only those taxa in the collection (all of which should be present in this matrix).

Parameters:
  `taxa` -
Returns:
  the new submatrix

### getDistances

double[][] getDistances()
Gets a 2-dimensional array containing the distances

Returns:
  the distances